<ion-header>
  <ion-toolbar>

    <ion-buttons slot="start">
      <ion-back-button defaultHref="/" color="primary"></ion-back-button>
    </ion-buttons>
    <ion-title color="primary">Segment</ion-title>
  </ion-toolbar>

  <ion-segment value="" (ionChange)="segmentChanged($event)">

    <ion-segment-button value="">
      <ion-label>Todos</ion-label>
    </ion-segment-button>

    <ion-segment-button value="DC Comics">
      <ion-label>DC Comics</ion-label>
    </ion-segment-button>

    <ion-segment-button value="Marvel Comics">
      <ion-label>Marvel Comics</ion-label>
    </ion-segment-button>

  </ion-segment>

</ion-header>


<ion-content>

  <ion-list>
    <ion-item *ngFor="let hero of ( superHeroes | async ) | filtro:publisher:'publisher'"
              class="animate__animated animate__fadeIn animate__faster">

      <ion-label>
        <h3>{{hero.superhero}} <small> {{hero.alter_ego}}</small></h3>
        <p>
          <small>{{ hero.first_appearance }}</small>
        </p>
      </ion-label>

      <ion-label slot="end" class="ion-text-capitalize">{{hero.publisher}}</ion-label>

    </ion-item>
  </ion-list>

  <ion-list *ngIf="( superHeroes | async ) === null " >
    <ion-item *ngFor="let item of [1,1,1,1,1,1,1]"  >

      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
        </p>
      </ion-label>

      <ion-skeleton-text slot="end"  style="width: 50px; height: 50px;"></ion-skeleton-text>

    </ion-item>
  </ion-list>

</ion-content>
